#include "run-time.h"

void _Init_dfmc_typist_ () __attribute__((constructor));
void _Init_dfmc_typist_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_core_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_typist__X_typist_library_for_system();
  extern void _Init_dfmc_typist__X_typist_tools_for_system();
  extern void _Init_dfmc_typist__X_typist_protocol_for_system();
  extern void _Init_dfmc_typist__X_typist_types_for_system();
  extern void _Init_dfmc_typist__X_typist_algebra_for_system();
  extern void _Init_dfmc_typist__X_typist_inference_for_system();
  extern void _Init_dfmc_typist__X_typist_top_level_forms_for_system();
  extern void _Init_dfmc_typist__X_type_estimate_hashing_for_system();
  extern void _Init_dfmc_typist__X_typist_library_for_user();
  extern void _Init_dfmc_typist__X_typist_tools_for_user();
  extern void _Init_dfmc_typist__X_typist_protocol_for_user();
  extern void _Init_dfmc_typist__X_typist_types_for_user();
  extern void _Init_dfmc_typist__X_typist_algebra_for_user();
  extern void _Init_dfmc_typist__X_typist_inference_for_user();
  extern void _Init_dfmc_typist__X_typist_top_level_forms_for_user();
  extern void _Init_dfmc_typist__X_type_estimate_hashing_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_reader_();
    _Init_dfmc_core_();
    _Init_dylan_();
    _Init_dfmc_typist__X_typist_library_for_system();
    _Init_dfmc_typist__X_typist_tools_for_system();
    _Init_dfmc_typist__X_typist_protocol_for_system();
    _Init_dfmc_typist__X_typist_types_for_system();
    _Init_dfmc_typist__X_typist_algebra_for_system();
    _Init_dfmc_typist__X_typist_inference_for_system();
    _Init_dfmc_typist__X_typist_top_level_forms_for_system();
    _Init_dfmc_typist__X_type_estimate_hashing_for_system();
    _Init_dfmc_typist__X_typist_library_for_user();
    _Init_dfmc_typist__X_typist_tools_for_user();
    _Init_dfmc_typist__X_typist_protocol_for_user();
    _Init_dfmc_typist__X_typist_types_for_user();
    _Init_dfmc_typist__X_typist_algebra_for_user();
    _Init_dfmc_typist__X_typist_inference_for_user();
    _Init_dfmc_typist__X_typist_top_level_forms_for_user();
    _Init_dfmc_typist__X_type_estimate_hashing_for_user();
  }
}
